[arch-commits] Commit in asymptote/repos (extra-i686 extra-i686/PKGBUILD)

Giovanni Scafora giovanni at archlinux.org
Mon Dec 7 06:18:44 EST 2009


    Date: Monday, December 7, 2009 @ 06:18:43
  Author: giovanni
Revision: 60835

Merged revisions 60834 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/asymptote/trunk

........
  r60834 | giovanni | 2009-12-07 03:17:29 -0800 (lun, 07 dic 2009) | 2 lines
  
  upgpkg: asymptote 1.90-1
      upstream release
........

Modified:
  asymptote/repos/extra-i686/	(properties)
  asymptote/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   20 ++++++++++++--------
 1 file changed, 12 insertions(+), 8 deletions(-)


Property changes on: asymptote/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /asymptote/trunk:1-51762
   + /asymptote/trunk:1-60834

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-12-07 11:17:29 UTC (rev 60834)
+++ extra-i686/PKGBUILD	2009-12-07 11:18:43 UTC (rev 60835)
@@ -1,7 +1,9 @@
+# $Id$
 # Maintainer: Firmicus <francois.archlinux.org>
 # Contributor: bender02 at gmx dot com
+
 pkgname=asymptote
-pkgver=1.86
+pkgver=1.90
 pkgrel=1
 pkgdesc="A vector graphics language (like metapost)"
 arch=('i686' 'x86_64')
@@ -11,15 +13,17 @@
 optdepends=('python: for the xasy GUI'
             'pil:     "'
             'tix:     "')
-source=(http://downloads.sourceforge.net/sourceforge/asymptote/$pkgname-$pkgver.src.tgz)
+source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.src.tgz)
 install="texlive.install"
+md5sums=('fe47e212a6d585f9b28811ed095c6c27')
 
 build() {
-  cd $srcdir/$pkgname-$pkgver
-  ./configure --enable-gc=/usr --prefix=/usr \
-    --with-latex=/usr/share/texmf/tex/latex \
-    --with-context=/usr/share/texmf/tex/context || return 1
+  cd "${srcdir}/${pkgname}-${pkgver}"
+
+  ./configure --enable-gc=/usr \
+              --prefix=/usr \
+              --with-latex=/usr/share/texmf/tex/latex \
+              --with-context=/usr/share/texmf/tex/context || return 1
   make asy || return 1
-  make DESTDIR=$pkgdir install-asy || return 1
+  make DESTDIR="${pkgdir}" install-asy || return 1
 }
-md5sums=('0dc9c827a5e6f3577b5bc5966cb90ca8')



More information about the arch-commits mailing list